//#####################################################################
// Copyright 2024, Craig Schroeder.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################
// Class Binary_Counts
//#####################################################################
#ifndef __Binary_Counts__
#define __Binary_Counts__

#include <Core/Vectors/VECTOR.h>
namespace PhysBAM{
template<int d> constexpr VECTOR<int,d> Binary_Counts(int k)
{
    VECTOR<int,d> a;
    for(int i=0;i<d;i++) a(i)=(k>>i)&1;
    return a;
}
}
#endif
