//#####################################################################
// Copyright 2009, Jon Gretarsson.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################
// Namespace INTERSECTION
//##################################################################### 
#include <Core/Intersections/BOX_POINT_SIMPLEX_1D_INTERSECTION.h>
#include <Core/Basic_Geometry/POINT_SIMPLEX_1D.h>
#include <Core/Math_Tools/RANGE.h>
namespace PhysBAM{
//#####################################################################
// Function Intersects
//#####################################################################
template<class T> bool Intersects(const RANGE<VECTOR<T,1> >& box,const POINT_SIMPLEX_1D<T>& point,const T thickness_over_two)
{
    return !box.Outside(point.X.x,thickness_over_two);
}
//#####################################################################
template bool Intersects(const RANGE<VECTOR<float,1> >&,const POINT_SIMPLEX_1D<float>&,const float);
template bool Intersects(const RANGE<VECTOR<double,1> >&,const POINT_SIMPLEX_1D<double>&,const double);
}
