//#####################################################################
// Copyright 2009, Jon Gretarsson.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################
// Namespace INTERSECTION
//##################################################################### 
#ifndef __SEGMENT_3D_TRIANGLE_3D_INTERSECTION__
#define __SEGMENT_3D_TRIANGLE_3D_INTERSECTION__
#include <Core/Basic_Geometry/BASIC_GEOMETRY_FORWARD.h>
#include <Core/Vectors/VECTOR.h>
namespace PhysBAM{
template<class T> class SEGMENT_3D;
template<class T> class TRIANGLE_3D;
//#####################################################################
template<class T> bool Intersects(const SEGMENT_3D<T>& segment,const TRIANGLE_3D<T>& triangle,const T thickness_over_two=0);
template<class T> bool Intersects(const SEGMENT_3D<T>& segment,const TRIANGLE_3D<T>& triangle,VECTOR<T,2>& weights_segment,VECTOR<T,3>& weights,const T thickness_over_two=0);
//#####################################################################
}
#endif
