//#####################################################################
// Copyright 2006, Andrew Selle.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################
#ifndef __COMPONENTWISE_MIN_MAX__
#define __COMPONENTWISE_MIN_MAX__
#include <Core/Math_Tools/minmax.h>
#include <Core/Utilities/TYPE_UTILITIES.h>
namespace PhysBAM{
//#####################################################################
// Function Componentwise_Min
//#####################################################################

template<class T> inline std::enable_if_t<is_fundamental<T>::value,T>
Componentwise_Min(T v1,T v2)
{return min(v1,v2);}

//#####################################################################
// Function Componentwise_Max
//#####################################################################

template<class T> inline std::enable_if_t<is_fundamental<T>::value,T>
Componentwise_Max(T v1,T v2)
{return max(v1,v2);}

}
#endif
