//#####################################################################
// Copyright 2012.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################
// Class ANALYTIC_LEVELSET_ROTATE
//#####################################################################
#ifndef __ANALYTIC_LEVELSET_ROTATE__
#define __ANALYTIC_LEVELSET_ROTATE__
#include <Core/Analytic_Tests/ANALYTIC_LEVELSET.h>

namespace PhysBAM{
template<class TV>
struct ANALYTIC_LEVELSET_ROTATE:public ANALYTIC_LEVELSET<TV>
{
    typedef typename TV::SCALAR T;
    ANALYTIC_LEVELSET<TV>* al;
    typename TV::SPIN w;
    TV center;

    ANALYTIC_LEVELSET_ROTATE(ANALYTIC_LEVELSET<TV>* al,const typename TV::SPIN& w,TV cc=TV());
    ~ANALYTIC_LEVELSET_ROTATE();
    virtual T phi(const TV& X,T t,int& c) const;
    virtual TV N(const TV& X,T t,int c) const;
    virtual T dist(const TV& X,T t,int c) const;
};
}
#endif
