//#####################################################################
// Copyright 2009, Geoffrey Irving, Tamar Shinar.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################
#include <Core/Krylov_Solvers/MATRIX_SYSTEM.h>
#include <Core/Krylov_Solvers/KRYLOV_VECTOR_WRAPPER.h>
#include <Core/Matrices/MATRIX.h>
#include <Core/Matrices/MATRIX_MXN.h>
#include <Core/Matrices/SPARSE_MATRIX_FLAT_MXN.h>
#include <Core/Vectors/VECTOR.h>
using namespace PhysBAM;
namespace PhysBAM{
template struct MATRIX_SYSTEM<SPARSE_MATRIX_FLAT_MXN<float>,float,KRYLOV_VECTOR_WRAPPER<float,ARRAY<float> > >;
template struct MATRIX_SYSTEM<SPARSE_MATRIX_FLAT_MXN<double>,double,KRYLOV_VECTOR_WRAPPER<double,ARRAY<double> > >;
template struct MATRIX_SYSTEM<MATRIX_MXN<float>,float,KRYLOV_VECTOR_WRAPPER<float,ARRAY<float,int> >,MATRIX_MXN<float> >;
template struct MATRIX_SYSTEM<MATRIX_MXN<double>,double,KRYLOV_VECTOR_WRAPPER<double,ARRAY<double,int> >,MATRIX_MXN<double> >;
}
