//#####################################################################
// Copyright 2022-2024, Craig Schroeder.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################
#include <Core/Matrices/MATRIX_FORWARD.h>
namespace PhysBAM{
template<class T,int d>
std::tuple<MATRIX<T,d>,DIAGONAL_MATRIX<T,d>,MATRIX<T,d>>
Singular_Value_Decomposition(const MATRIX<T,d>& A);
template<class T>
std::tuple<MATRIX<T,3,2>,DIAGONAL_MATRIX<T,2>,MATRIX<T,2>>
Singular_Value_Decomposition(const MATRIX<T,3,2>& A);
}
