//#####################################################################
// Copyright 2023, Craig Schroeder.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################
// Enum STREAM_TYPE
//#####################################################################
#ifndef __STREAM_TYPE__
#define __STREAM_TYPE__

namespace PhysBAM{
enum class STREAM_TYPE{type_float,type_double,type_text};
inline STREAM_TYPE Stream_Type(const bool use_doubles)
{return use_doubles?STREAM_TYPE::type_double:STREAM_TYPE::type_float;}
inline STREAM_TYPE Stream_Type(const float){return STREAM_TYPE::type_float;}
inline STREAM_TYPE Stream_Type(const double){return STREAM_TYPE::type_double;}
inline STREAM_TYPE Stream_Type(const char){return STREAM_TYPE::type_text;}
}
#endif
